%define plasmaver %(echo %version | cut -d. -f1-3)

Name:          breeze-plymouth
Version:       6.2.5
Release:       1mamba
Summary:       KDE Plasma boot splash theme
Group:         Graphical Desktop/Look 'n' feel
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/it/plasma-desktop/
Source:        https://download.kde.org/%{stable_kf6}/plasma/%{plasmaver}/breeze-plymouth-%{version}.tar.xz
Source1:       openmamba.plasma.logo.png
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libplymouth-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
BuildRequires: plymouth-devel >= 3:0.9.4.20200311git
Requires(post): breeze-plymouth-os-logo
Provides:      plymouththeme

%description
KDE Plasma boot splash theme.

%package os-logo
Group:         Graphical Desktop/Look 'n' feel
Summary:       openmamba OS logo for Breeze boot splash theme

%description os-logo
openmamba OS logo for Breeze boot splash theme.


%prep
%setup -q

%build
%cmake_kf6 \
   -DDISTRO_NAME="" \
   -DDISTRO_VERSION="" \
   -DDISTRO_LOGO="os"

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/plymouth/themes/breeze/images/os.logo.png

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%posttrans
if [ $1 -ge 1 ]; then
   # Set breeze as current theme if none is set
   grep "^Theme=" %{_sysconfdir}/plymouth/plymouthd.conf >/dev/null || /usr/sbin/plymouth-set-default-theme breeze
   KVER=`uname -r`
   INITRAMFS=/boot/initramfs-$KVER.img
   if [ -e /boot/vmlinuz-$KVER ]; then
      [ -e $INITRAMFS -a %{_datadir}/plymouth/themes/breeze/breeze.plymouth -nt $INITRAMFS ] || continue
      dracut $INITRAMFS $KVER -H -f -q
   fi
fi
:

%files
%defattr(-,root,root)
%{_libdir}/plymouth/breeze-text.so
%dir %{_datadir}/plymouth/themes/breeze-text
%{_datadir}/plymouth/themes/breeze-text/*
%dir %{_datadir}/plymouth/themes/breeze
%{_datadir}/plymouth/themes/breeze/breeze.grub
%{_datadir}/plymouth/themes/breeze/breeze.plymouth
%{_datadir}/plymouth/themes/breeze/breeze.script
%dir %{_datadir}/plymouth/themes/breeze/images
%{_datadir}/plymouth/themes/breeze/images/*
%exclude %{_datadir}/plymouth/themes/breeze/images/os.logo.png
%{_datadir}/plymouth/themes/breeze/preview.png
%doc LICENSES

%files os-logo
%defattr(-,root,root)
%{_datadir}/plymouth/themes/breeze/images/os.logo.png

%changelog
* Wed Jan 01 2025 Automatic Build System <autodist@openmamba.org> 6.2.5-1mamba
- automatic version update by autodist

* Wed Dec 11 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.4-2mamba
- use dracut with -H to regenerate initramfs

* Tue Nov 26 2024 Automatic Build System <autodist@openmamba.org> 6.2.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2024 Automatic Build System <autodist@openmamba.org> 6.2.3-1mamba
- automatic version update by autodist

* Wed Oct 23 2024 Automatic Build System <autodist@openmamba.org> 6.2.2-1mamba
- automatic version update by autodist

* Wed Oct 16 2024 Automatic Build System <autodist@openmamba.org> 6.2.1-1mamba
- automatic version update by autodist

* Thu Oct 10 2024 Automatic Build System <autodist@openmamba.org> 6.2.0-1mamba
- automatic version update by autodist

* Thu Sep 19 2024 Automatic Build System <autodist@openmamba.org> 6.1.90-1mamba
- automatic version update by autodist

* Tue Sep 10 2024 Automatic Build System <autodist@openmamba.org> 6.1.5-1mamba
- automatic version update by autodist

* Tue Aug 06 2024 Automatic Build System <autodist@openmamba.org> 6.1.4-1mamba
- automatic version update by autodist

* Wed Jul 17 2024 Automatic Build System <autodist@openmamba.org> 6.1.3-1mamba
- automatic version update by autodist

* Tue Jul 02 2024 Automatic Build System <autodist@openmamba.org> 6.1.2-1mamba
- automatic version update by autodist

* Wed Jun 26 2024 Automatic Build System <autodist@openmamba.org> 6.1.1-1mamba
- automatic version update by autodist

* Tue Jun 18 2024 Automatic Build System <autodist@openmamba.org> 6.1.0-1mamba
- automatic version update by autodist

* Tue May 28 2024 Automatic Build System <autodist@openmamba.org> 6.0.90-1mamba
- automatic version update by autodist

* Wed May 22 2024 Automatic Build System <autodist@openmamba.org> 6.0.5-1mamba
- automatic version update by autodist

* Wed Apr 17 2024 Automatic Build System <autodist@openmamba.org> 6.0.4.1-1mamba
- automatic version update by autodist

* Wed Mar 27 2024 Automatic Build System <autodist@openmamba.org> 6.0.3-1mamba
- automatic version update by autodist

* Wed Mar 13 2024 Automatic Build System <autodist@openmamba.org> 6.0.2-1mamba
- automatic version update by autodist

* Thu Mar 07 2024 Automatic Build System <autodist@openmamba.org> 6.0.1.1-1mamba
- automatic version update by autodist

* Thu Feb 29 2024 Automatic Build System <autodist@openmamba.org> 6.0.0-1mamba
- automatic version update by autodist

* Fri Feb 02 2024 Automatic Build System <autodist@openmamba.org> 5.93.0-1mamba
- automatic version update by autodist

* Sat Jan 20 2024 Automatic Build System <autodist@openmamba.org> 5.92.0-1mamba
- automatic version update by autodist

* Wed Dec 06 2023 Automatic Build System <autodist@mambasoft.it> 5.27.10-1mamba
- automatic version update by autodist

* Wed Oct 25 2023 Automatic Build System <autodist@mambasoft.it> 5.27.9-1mamba
- automatic version update by autodist

* Tue Sep 12 2023 Automatic Build System <autodist@mambasoft.it> 5.27.8-1mamba
- automatic version update by autodist

* Wed Aug 02 2023 Automatic Build System <autodist@mambasoft.it> 5.27.7-1mamba
- automatic version update by autodist

* Wed Jun 21 2023 Automatic Build System <autodist@mambasoft.it> 5.27.6-1mamba
- automatic version update by autodist

* Wed May 10 2023 Automatic Build System <autodist@mambasoft.it> 5.27.5-1mamba
- automatic version update by autodist

* Tue Apr 04 2023 Automatic Build System <autodist@mambasoft.it> 5.27.4-1mamba
- automatic version update by autodist

* Wed Mar 15 2023 Automatic Build System <autodist@mambasoft.it> 5.27.3-1mamba
- automatic version update by autodist

* Wed Mar 01 2023 Automatic Build System <autodist@mambasoft.it> 5.27.2-1mamba
- automatic version update by autodist

* Wed Feb 22 2023 Automatic Build System <autodist@mambasoft.it> 5.27.1-1mamba
- automatic version update by autodist

* Tue Feb 14 2023 Automatic Build System <autodist@mambasoft.it> 5.27.0-1mamba
- automatic version update by autodist

* Wed Jan 04 2023 Automatic Build System <autodist@mambasoft.it> 5.26.5-1mamba
- automatic version update by autodist

* Wed Nov 30 2022 Automatic Build System <autodist@mambasoft.it> 5.26.4-1mamba
- automatic version update by autodist

* Wed Nov 09 2022 Automatic Build System <autodist@mambasoft.it> 5.26.3-1mamba
- automatic version update by autodist

* Thu Oct 27 2022 Automatic Build System <autodist@mambasoft.it> 5.26.2-1mamba
- automatic version update by autodist

* Wed Oct 19 2022 Automatic Build System <autodist@mambasoft.it> 5.26.1-1mamba
- automatic version update by autodist

* Wed Oct 12 2022 Automatic Build System <autodist@mambasoft.it> 5.26.0-1mamba
- automatic version update by autodist

* Wed Sep 07 2022 Automatic Build System <autodist@mambasoft.it> 5.25.5-1mamba
- automatic version update by autodist

* Tue Aug 02 2022 Automatic Build System <autodist@mambasoft.it> 5.25.4-1mamba
- automatic version update by autodist

* Tue Jul 12 2022 Automatic Build System <autodist@mambasoft.it> 5.25.3-1mamba
- automatic version update by autodist

* Sun Jul 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.25.2-3mamba
- posttrans: set breeze as current theme if nothing else is set

* Sat Jul 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.25.2-2mamba
- clear distro name and version

* Wed Jun 29 2022 Automatic Build System <autodist@mambasoft.it> 5.25.2-1mamba
- automatic version update by autodist

* Tue Jun 28 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.25.1-2mamba
- provide plymouththeme

* Tue Jun 21 2022 Automatic Build System <autodist@mambasoft.it> 5.25.1-1mamba
- automatic version update by autodist

* Thu Jun 16 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.25.0-2mamba
- split os logo into a subpackage

* Tue Jun 14 2022 Automatic Build System <autodist@mambasoft.it> 5.25.0-1mamba
- automatic version update by autodist

* Wed May 04 2022 Automatic Build System <autodist@mambasoft.it> 5.24.5-1mamba
- automatic version update by autodist

* Tue Mar 29 2022 Automatic Build System <autodist@mambasoft.it> 5.24.4-1mamba
- automatic version update by autodist

* Wed Mar 09 2022 Automatic Build System <autodist@mambasoft.it> 5.24.3-1mamba
- automatic version update by autodist

* Wed Feb 23 2022 Automatic Build System <autodist@mambasoft.it> 5.24.2-1mamba
- automatic version update by autodist

* Wed Feb 16 2022 Automatic Build System <autodist@mambasoft.it> 5.24.1-1mamba
- automatic version update by autodist

* Tue Feb 08 2022 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Wed Jan 05 2022 Automatic Build System <autodist@mambasoft.it> 5.23.5-1mamba
- automatic version update by autodist

* Tue Nov 30 2021 Automatic Build System <autodist@mambasoft.it> 5.23.4-1mamba
- automatic version update by autodist

* Wed Nov 10 2021 Automatic Build System <autodist@mambasoft.it> 5.23.3-1mamba
- automatic version update by autodist

* Wed Oct 27 2021 Automatic Build System <autodist@mambasoft.it> 5.23.2-1mamba
- automatic version update by autodist

* Wed Oct 20 2021 Automatic Build System <autodist@mambasoft.it> 5.23.1-1mamba
- automatic version update by autodist

* Thu Oct 14 2021 Automatic Build System <autodist@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Wed Sep 01 2021 Automatic Build System <autodist@mambasoft.it> 5.22.5-1mamba
- automatic version update by autodist

* Wed Jul 28 2021 Automatic Build System <autodist@mambasoft.it> 5.22.4-1mamba
- automatic version update by autodist

* Wed Jul 07 2021 Automatic Build System <autodist@mambasoft.it> 5.22.3-1mamba
- automatic version update by autodist

* Wed Jun 23 2021 Automatic Build System <autodist@mambasoft.it> 5.22.2.1-1mamba
- automatic version update by autodist

* Wed Jun 23 2021 Automatic Build System <autodist@mambasoft.it> 5.22.2-1mamba
- automatic version update by autodist

* Wed Jun 16 2021 Automatic Build System <autodist@mambasoft.it> 5.22.1-1mamba
- automatic version update by autodist

* Tue Jun 08 2021 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Wed May 05 2021 Automatic Build System <autodist@mambasoft.it> 5.21.5-1mamba
- automatic version update by autodist

* Wed Apr 07 2021 Automatic Build System <autodist@mambasoft.it> 5.21.4-1mamba
- automatic version update by autodist

* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 5.21.3-1mamba
- automatic version update by autodist

* Wed Mar 03 2021 Automatic Build System <autodist@mambasoft.it> 5.21.2-1mamba
- automatic version update by autodist

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 5.21.1-1mamba
- automatic version update by autodist

* Tue Feb 16 2021 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Fri Jan 08 2021 Automatic Build System <autodist@mambasoft.it> 5.20.5-1mamba
- automatic version update by autodist

* Wed Dec 02 2020 Automatic Build System <autodist@mambasoft.it> 5.20.4-1mamba
- automatic version update by autodist

* Sat Nov 21 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.20.3-2mamba
- openmamba.plasma.logo.png: updated

* Wed Nov 11 2020 Automatic Build System <autodist@mambasoft.it> 5.20.3-1mamba
- automatic version update by autodist

* Thu Oct 29 2020 Automatic Build System <autodist@mambasoft.it> 5.20.2-1mamba
- automatic version update by autodist

* Wed Oct 21 2020 Automatic Build System <autodist@mambasoft.it> 5.20.1-1mamba
- automatic version update by autodist

* Sun Oct 18 2020 Automatic Build System <autodist@mambasoft.it> 5.20.0-1mamba
- automatic version update by autodist

* Wed Sep 02 2020 Automatic Build System <autodist@mambasoft.it> 5.19.5-1mamba
- automatic version update by autodist

* Thu Jul 30 2020 Automatic Build System <autodist@mambasoft.it> 5.19.4-1mamba
- automatic version update by autodist

* Wed Jul 08 2020 Automatic Build System <autodist@mambasoft.it> 5.19.3-1mamba
- automatic version update by autodist

* Fri Jun 26 2020 Automatic Build System <autodist@mambasoft.it> 5.19.2-1mamba
- automatic version update by autodist

* Fri Jun 19 2020 Automatic Build System <autodist@mambasoft.it> 5.19.1-1mamba
- automatic version update by autodist

* Wed Jun 10 2020 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Fri May 08 2020 Automatic Build System <autodist@mambasoft.it> 5.18.5-1mamba
- automatic version update by autodist

* Mon Apr 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.18.4.1-1mamba
- update to 5.18.4.1

* Wed Apr 01 2020 Automatic Build System <autodist@mambasoft.it> 5.18.4-1mamba
- automatic version update by autodist

* Fri Mar 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.18.3-2mamba
- rebuilt with plymouth 3:0.9.4.20200311git

* Wed Mar 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.18.3-1mamba
- update to 5.18.3

* Thu Feb 20 2020 Automatic Build System <autodist@mambasoft.it> 5.18.1-1mamba
- automatic version update by autodist

* Sat Feb 15 2020 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Wed Jan 08 2020 Automatic Build System <autodist@mambasoft.it> 5.17.5-1mamba
- automatic version update by autodist

* Wed Dec 04 2019 Automatic Build System <autodist@mambasoft.it> 5.17.4-1mamba
- automatic version update by autodist

* Tue Nov 12 2019 Automatic Build System <autodist@mambasoft.it> 5.17.3-1mamba
- automatic version update by autodist

* Wed Oct 30 2019 Automatic Build System <autodist@mambasoft.it> 5.17.2-1mamba
- automatic version update by autodist

* Wed Oct 23 2019 Automatic Build System <autodist@mambasoft.it> 5.17.1-1mamba
- automatic version update by autodist

* Wed Oct 16 2019 Automatic Build System <autodist@mambasoft.it> 5.17.0-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 5.16.5-1mamba
- automatic version update by autodist

* Fri Aug 02 2019 Automatic Build System <autodist@mambasoft.it> 5.16.4-1mamba
- automatic version update by autodist

* Sun Jul 14 2019 Automatic Build System <autodist@mambasoft.it> 5.16.3-1mamba
- automatic version update by autodist

* Wed Jun 26 2019 Automatic Build System <autodist@mambasoft.it> 5.16.2-1mamba
- automatic version update by autodist

* Thu Jun 20 2019 Automatic Build System <autodist@mambasoft.it> 5.16.1-1mamba
- automatic version update by autodist

* Sat Jun 15 2019 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Thu May 09 2019 Automatic Build System <autodist@mambasoft.it> 5.15.5-1mamba
- automatic version update by autodist

* Wed Apr 03 2019 Automatic Build System <autodist@mambasoft.it> 5.15.4-1mamba
- automatic version update by autodist

* Wed Feb 27 2019 Automatic Build System <autodist@mambasoft.it> 5.15.2-1mamba
- automatic version update by autodist

* Wed Feb 20 2019 Automatic Build System <autodist@mambasoft.it> 5.15.1-1mamba
- automatic version update by autodist

* Sat Feb 16 2019 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Thu Jan 10 2019 Automatic Build System <autodist@mambasoft.it> 5.14.5-1mamba
- automatic version update by autodist

* Mon Dec 03 2018 Automatic Build System <autodist@mambasoft.it> 5.14.4-1mamba
- automatic version update by autodist

* Sun Nov 11 2018 Automatic Build System <autodist@mambasoft.it> 5.14.3-1mamba
- automatic version update by autodist

* Sun Oct 21 2018 Automatic Build System <autodist@mambasoft.it> 5.14.1-1mamba
- automatic version update by autodist

* Tue Oct 16 2018 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Wed Sep 05 2018 Automatic Build System <autodist@mambasoft.it> 5.13.5-1mamba
- automatic version update by autodist

* Fri Aug 03 2018 Automatic Build System <autodist@mambasoft.it> 5.13.4-1mamba
- automatic version update by autodist

* Fri Jul 13 2018 Automatic Build System <autodist@mambasoft.it> 5.13.3-1mamba
- automatic version update by autodist

* Sun Jul 08 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.13.2-1mamba
- update to 5.13.2

* Wed Jun 20 2018 Automatic Build System <autodist@mambasoft.it> 5.13.1-1mamba
- automatic version update by autodist

* Sat Jun 16 2018 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Mon May 07 2018 Automatic Build System <autodist@mambasoft.it> 5.12.5-1mamba
- automatic version update by autodist

* Sun Apr 01 2018 Automatic Build System <autodist@mambasoft.it> 5.12.4-1mamba
- automatic version update by autodist

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 5.12.3-1mamba
- automatic version update by autodist

* Sun Feb 25 2018 Automatic Build System <autodist@mambasoft.it> 5.12.2-1mamba
- automatic version update by autodist

* Thu Feb 08 2018 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Thu Jan 18 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.4-2mamba
- customized with openmamba logo

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.4-1mamba
- automatic version update by autodist

* Thu Nov 09 2017 Automatic Build System <autodist@mambasoft.it> 5.11.3-1mamba
- automatic version update by autodist

* Sun Oct 29 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.2-1mamba
- package created using the webbuild interface
